<!doctype html>
<html>
	<head>
		<title>curveExample</title>
		<meta charset='utf-8' />
        <link rel = 'stylesheet' href = style.css> 
        <script type="text/javascript" src="../jquery.min.js"></script>
		<script type="text/javascript" src='../jquery.cookie.js'></script>
		<script type="text/javascript" src="../jquery.vibrate.js"></script>
	</head>
	<body>
        <div id = block>
            <input id = 'file' type = 'file'>
            <img id = previe src = ''>
        </div>
		<script>
           
            $("html").append('<canvas id ="canvas-resize" style = "display: none;">Обновите браузер</canvas>')
            $(document).on('change', "#file", function()
            {
                var reader = new FileReader();
                reader.readAsDataURL(this.files[0]);
                reader.onload = function(e) 
                {
                    var example = document.getElementById("canvas-resize"),
                        context = example.getContext('2d'),
                        img     = new Image();  // Создание нового объекта изображения

                    img.src = e.target.result;
                    img.onload = function() {    // Событие onLoad, ждём момента пока загрузится изображение
                        context.drawImage(img, 0, 0, 300, 150);  // Рисуем изображение от точки с координатами 0, 0
                        var dataImage = example.toDataURL();
                        console.log(dataImage)
                        this.files[0] = dataImage;
                    }
                    
                }
            });

		</script>
	</body>
</html>